#announcement {
    position: relative;
    box-sizing: border-box;
    width: 100vw;
    height: var(--announcement-height);
    padding: 5px;
    text-align: center;
    background-image: linear-gradient(rgba(var(--brand-action), 0.8) 0%, rgba(var(--brand-action), 0.8) 100%), url(/images/button-stone.webp);
    padding: auto;
    color: white;
    z-index: 2;
}

nav {
    position: fixed;
    box-sizing: border-box;
    top: 0px;
    width: 100vw;
    z-index: 2;
}

#nav-box {
    position: relative;
    touch-action: auto;
    overflow: hidden;
    transition: 0.5s 0.35s ease-in-out margin, 0.5s 0.35s ease-in-out padding, 0.5s 0.35s ease-in-out border-radius, 0.5s 0.35s ease-in-out height, 0.35s ease-in-out color, 0.5s 0.35s ease-in-out background-color, 0.5s 0.35s ease-in-out filter, 0.5s 0.35s ease-in-out backdrop-filter, 0.5s 0.35s ease-in-out box-shadow;
}

#nav-box:not(.nav-expanded) {
    margin: 10px;
    margin-top: calc(10px + var(--announcement-height));
    border-radius: 10px;
    height: 70px;
}

.nav-hidden {
    margin-top: -80px !important
}

.nav-clear {
    background-color: transparent;
    backdrop-filter: blur(0px);
    z-index: 1;
}

.nav-visible {
    /*background-color: rgba(255,255,255,0.25);*/
    backdrop-filter: blur(20px);
}

.nav-expanded {
    margin: 0px;
    padding: 0px;
    padding-top: calc(10px + var(--announcement-height));
    height: 100vh;
    border-radius: 0px;
    backdrop-filter: blur(20px);
    background-color: rgba(var(--oatmeal), 0.95);
    touch-action: none;
    transition: 0.5s ease-in-out margin, 0.5s ease-in-out padding, 0.5s ease-in-out border-radius, 0.5s ease-in-out height, 0.5s ease-in-out background-color, 0.5s ease-in-out filter, 0.5s ease-in-out backdrop-filter, 0.5s ease-in-out box-shadow !important;
}

.nav-dark, .nav-expanded {
    color: rgba(var(--brand-dark), 0.8) !important;
}

.nav-light {
    color: rgba(var(--brand-light), 0.8);
}

@media screen and (min-width: 800px) {
    #nav-box:not(.nav-expanded) {
        margin: 20px;
        margin-top: calc(10px + var(--announcement-height));;
    }

    .nav-expanded {
        height: 50svh;
        margin: 20px;
        margin-top: calc(10px + var(--announcement-height));
        padding: 0px;
        padding-bottom: 30px;
        border-radius: 20px;
        background-color: rgba(var(--oatmeal), 0.9);
        box-shadow: rgba(0,0,0, 0.1) 0px 0px 60px;
    }
}

#nav-top {
    position: relative;
    box-sizing: border-box;
    margin: 0px;
    width: 100%;
    height: calc(100% - 20px);
    font-weight: 100;
}

#nav-overlay {
    position: absolute;
    box-sizing: border-box;
    height: 70px;
    width: 100%;
    padding: 0px 15px;
    z-index: 3;
    display: flex;
    justify-content: space-between;
    align-items: center;
    pointer-events: none;
}

#nav-icons {
    position: relative;
    height: 35%;
    pointer-events: all;
}

#nav-logo, #nav-back {
    height: 100%;
    transition: 0.5s ease filter, 0.5s ease opacity;
    pointer-events: all;
}

#nav-back img {
    height: 20px;
}

#nav-back {
    position: absolute;
    top: 0px;
    left: 0px;
    opacity: 0.0;
    pointer-events: none;
}

.nav-expanded #nav-logo, .nav-expanded #nav-back {
    filter: brightness(0.2);
}

.nav-dark #nav-logo, .nav-expanded #nav-logo {
    filter: brightness(0.2);
}

.nav-dark #nav-back, .nav-expanded #nav-back {
    filter: brightness(0.2);
}


@media screen and (min-width: 800px) {    
    #nav-top {
        height: 70px !important;
    }
    
    #nav-logo:hover {
        filter: invert(0.2);
    }

    .nav-dark #nav-logo:hover, .nav-expanded #nav-logo:hover {
        filter: invert(0.6);
    }
    
    #nav-overlay {
        padding: 0px 30px;
    }

    #nav-back {
        display: none;
        pointer-events: none;
    }
}

#nav-buttons {
    position: relative;
    display: flex;
    box-sizing: border-box;
    height: 100%;
    padding: 18px 0px;
    justify-content: space-between;
    gap: 20px;
    pointer-events: all;
}

.nav-button {
    position: relative;
    box-sizing: border-box;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    height: 100%;
    aspect-ratio: 1.0;
    border-radius: 100%;
    border: transparent 1px solid;
    transition: background-color 0.5s ease, filter 0.5s ease;
    cursor: pointer;
}

.nav-button:hover > img {
    filter: none;
}

.nav-light .nav-button {
    border: rgba(var(--brand-light), 0.8) 1px solid;
}

.nav-dark .nav-button, .nav-expanded .nav-button {
    border: rgba(var(--brand-dark), 0.8) 1px solid;
}

.nav-icon {
    height: 75%;
    transition: 0.5s ease filter;
}

.nav-dark #nav-cart-icon, .nav-expanded #nav-cart-icon {
    filter: brightness(0.2);
}

.nav-dark #nav-cart-icon, .nav-expanded #nav-menu-icon {
    filter: brightness(0.2);
}

#nav-expand {
    display: none;
}

.nav-expand-bar {
    width: 50%;
    height: 1.5px;
    background-color: white;
    transition: 0.5s ease-in-out transform;
}

.nav-dark .nav-expand-bar, .nav-expanded .nav-expand-bar {
    background-color: rgba(var(--brand-dark), 0.8);
}

#nav-expand-top {
    transform: translateY(-200%);
}

#nav-expand-bottom {
    transform: translateY(200%);
}

.nav-expanded #nav-menu {
    display: flex;
    opacity: 1.0;
    transition: 0.5s 0.5s ease-in-out opacity, 0.5s 0.5s ease-in-out color;
}

.nav-expanded #nav-expand-top {
    transform: translateY(0.5px) rotate(45deg);
}

.nav-expanded #nav-expand-bottom {
    transform: translateY(-0.5px) rotate(-45deg);
}

@media screen and (min-width: 800px) {
    .nav-expanded #nav-top {
        height: unset;
    }
    
    .nav-button:hover {
        filter: invert(1.0);
        border: transparent;
    }

    .nav-light .nav-button:hover {
        background-color: rgba(var(--brand-dark), 0.8);
    }

    .nav-dark .nav-button:hover, .nav-expanded .nav-button:hover {
        background-color: rgba(var(--brand-light), 0.8);
    }
}

#nav-menu {
    position: absolute;
    box-sizing: border-box;
    height: 100svh;
    opacity: 0.0;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    padding: 80px 20px;
    padding-top: 120px;
    transition: 0.5s ease-in-out opacity, 0.5s ease-in-out color;
}

#nav-menu-top {
    display: flex;
    height: 100%;
    align-items: center;
    justify-content: center;
    list-style-type: none;
    margin-block-start: 0px;
    margin-block-end: 0px;
}

#nav-menu-bottom {
    display: none;
    position: relative;
    bottom: 0px;
}

#nav-menu-top > li, #nav-menu-bottom > li {
    display: flex;
    box-sizing: border-box;
    align-items: center;
    height: 100%;
    margin: 0px;
    padding: 0px 40px;
    cursor: pointer;
    user-select: none;
    transition: border 0.5s ease;
}

@media screen and (min-width: 800px) {
    #nav-menu {
        position: absolute;
        height: 100%;
        width: 100%;
        padding: 0px;
        box-sizing: border-box;
        display: flex;
        justify-content: center;
        opacity: 1.0;
        transition: 0.5s ease opacity, 0.5s ease color !important;
    }

    #nav-menu-top > li {
        width: 160px;
        border-bottom: 1.5px solid transparent;
        justify-content: center;
    }

    #menu-button-taiga:hover {
        color: rgb(var(--brand-action));
        font-weight: 500;
    }
}

@media screen and (max-width: 800px) {
    #nav-menu-top {
        font-size: 250%;
        font-family: var(--font-accent);
        color: rgba(var(--brand-stone-dark), 0.8);
    }

    #nav-menu-bottom {
        display: flex;
        gap: 20px;
        font-size: 150%;
    }

    #nav-menu-top, #nav-menu-bottom {
        flex-direction: column;
        align-items: start;
        justify-content: start;
        font-weight: 300;
        gap: 60px;
    }

    #nav-menu-top > li, #nav-menu-bottom > li {
        padding: 0px;
        height: auto;
    }

    #nav-buttons {
        gap: 10px;
    }

    #nav-expand {
        display: flex;
    }
}



#nav-bottom {
    position: absolute;
    box-sizing: border-box;
    /*visibility: hidden;*/
    width: 100%;
    height: 100%;
    transition: opacity 0.5s ease-in-out;
    background-color: rgb(var(--oatmeal));
    opacity: 0.0;
    pointer-events: none;
    top: 0px;
    left: 0px;
    font-size: 250%;
}

.sub-menu {
    position: absolute;
    box-sizing: border-box;
    width: 100%;
    opacity: 0.0;
    pointer-events: none;
    padding: 80px 30px;
    padding-top: 120px;
    display: flex;
    flex-wrap: wrap;
    align-items: flex-start;
    justify-content: center;
    gap: 20px;
    transition: opacity 0.5s ease, pointer-events 1.0s step-end;
    font-size: 65%;
}

.selected {
    opacity: 1.0 !important;
    pointer-events: all !important;
}

.deselected {
    opacity: 0.0 !important;
    pointer-events: none !important;
}

.menu-products {
    display: flex;
    width: 100%;
    gap: 10px;
    flex-wrap: wrap;
    justify-content: center;
    font-size: 60%;
}

@media screen and (min-width: 800px) {
    #nav-bottom {
        background-color: transparent;
        top: 70px;
        height: calc(100% - 70px);
        font-size: 200%;
        transition: height 0.3s ease, opacity 0.5s 0.4s ease;
    }

    .deselected {
        transition: opacity 0.3s ease !important;
    }

    .nav-expanded .nav-menu-selected {
        color: rgb(var(--brand-dark));
        font-weight: 500;
        border-bottom: 1.5px solid rgba(var(--brand-dark), 0.15) !important;
    }

    .deselected #nav-logo {
        opacity: 1.0 !important;
        pointer-events: all !important;
    }

    .sub-menu {
        height: 100%;
        padding: 30px;
        gap: 30px;
    }
}

.menu-product-horizontal, .menu-product-vertical {
    position: relative;
    display: block;
    border-radius: 20px;
    overflow: hidden;
}

.menu-product-horizontal {
    width: 100%;
    height: 18svh;
}

.menu-product-vertical {
    width: calc(50% - 10px);
    height: 30svh;
}

.menu-product-horizontal img, .menu-product-vertical img {
    position: absolute;
    left: 0px;
    top: 0px;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.menu-product-name {
    position: absolute;
    box-sizing: border-box;
    display: flex;
    align-items: end;
    width: 100%;
    height: 100%;
    bottom: 0px;
    padding: 10px;
    background: linear-gradient(0deg, rgba(var(--brand-dark), 0.5) 0%, rgba(var(--brand-dark), 0.0) 50%);
    font-family: var(--font-accent);
    color: rgba(var(--brand-light), 1.0);
}

.menu-product-arrow {
    position: absolute;
    bottom: 20px;
    right: 10px;
    width: 18px;
    aspect-ratio: 1.0;
    background-image: url('/images/less.webp');
    background-size: contain;
    background-repeat: no-repeat;
    background-position: 50%;
    rotate: 180deg;
}

.menu-product-list {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    width: 80%;
    font-size: 75%;
}

.menu-product {
    display: flex;
    align-items: center;
    gap: 20px;
    margin-top: 5px;
    color: rgba(var(--brand-dark), 0.8) !important;
}

.menu-product-thumbnail {
    height: 48px;
    border-radius: 5px;
}

#sub-menu-taiga .menu-product-horizontal,
#sub-menu-plants .menu-product-horizontal {
    height: 30svh;
}


@media screen and (min-width: 800px) {
    .menu-product-horizontal {
        width: 20%;
        height: 100%;
    }

    .menu-product-vertical {
        width: 15%;
        height: 100%;
    }

    #sub-menu-taiga .menu-product-horizontal {
        width: 15%;
    }

    .menu-product-selection {
        width: 30%;
    }
    #sub-menu-taiga .menu-product-horizontal,
    #sub-menu-plants .menu-product-horizontal {
        height: 100%;
    }
    
    .menu-product-list {
        flex-direction: row;
        align-items: center;
        width: 200px;
    }
}